<?php
/**
 * Marketplace - Component Marketplace 
 * ******************************************************************
 *
 * PHP version 7.0
 *
 * @category   Component
 * @package    Joomla
 * @author     WebKul software private limited <support@webkul.com>
 * @copyright  2010 WebKul software private limited
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version    GIT:5.2
 * @filesource http://store.webkul.com
 * @link       Technical Support:  webkul.uvdesk.com
 * ******************************************************************
 */
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');
/**
 * MarketplaceController class
 * 
 * @category Component
 * @package  Joomla
 * @author   WebKul software private limited <support@webkul.com>
 * @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link     Technical Support:  webkul.uvdesk.com
 */
class MarketplaceController extends JControllerLegacy
{
    /**
     * __construct function
     */
    function __construct()
    {
        $input = JFactory::getApplication()->input;
        if ($input->getString('view') == '') {
            $input->set('view', 'dashboard');
        }
        parent::__construct();
    }
    /**
     * Display function
     *
     * @param boolean $cachable  var
     * @param [type]  $urlparams var
     * 
     * @return void
     */
    function display($cachable = false, $urlparams = array())
    {
        include_once JPATH_COMPONENT.'/helpers/marketplace.php';
        $input = JFactory::getApplication()->input;
        MarketplaceHelper::addSubmenu($input->getString('view'));
        parent::display();
    }
}
